#include<iostream.h>
 int main()
{
 int gcd(int m,int n);/*函数声明*/
 int m,n,k;
 cout<<"请输入两个自然数："<<endl;
 cin>>m>>n;
 k=gcd(m,n);/*函数调用*/
 cout<<"最大公约数是"<<k<<endl;
 return(0);
} 
int gcd(int m,int n)/*函数定义*/
{
 int k;
 if(n==0)
  k=m;
 else
  k=gcd(n,m%n);/*递归调用*/
 return(k);/*函数返回值*/
}
